Subject: Re: Regarding FVWM2 and Xinerama

From: Dominik Vogt <[email-masked]>
Date: Sun, 14 Jan 2001 22:13:50 +0100

On Sun, Jan 14, 2001 at 03:45:49PM +0600, Dmitry Yu. Bolkhovityanov wrote:

Please don't email me directly but send your mails to
[email-masked].

>     First, there is small a bug in a stable version (2.2.4): when a menu
> pops up so that its upper part is on one screen and lower part is on
> another, the items which are completely on the upper one aren't redrawn.  It
> is caused by "eating up" all the expose events and using the rectangle of
> the last one.  As I see, it was corrected in the 2.3 branch with
> flush_accumulate_expose(), but would it be possible to backport to, say,
> 2.2.5 (if it will exist)?

I'd have to have a Xinerama setup to fix this.  Backporting is not
really an option because there were so many changes that I'll
probably break five things to fix one.

>     Second, is there any work towards xineramizing FVWM2 being done?  If no,

No, currently we're trying to get out the 2.4 release.  Xinerama
will have to wait until 2.4 is out.

> I can invest some time into it, since my users are mmm... a bit unhappy with
> "unsmart" placement of windows.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]